Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.devices.getManagementInterface({
serial: "string",
});
export const merakiDevicesManagementInterfaceExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.devices.get_management_interface(serial="string")
pulumi.export("merakiDevicesManagementInterfaceExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/devices"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := devices.LookupManagementInterface(ctx, &devices.LookupManagementInterfaceArgs{
Serial: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiDevicesManagementInterfaceExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Devices.GetManagementInterface.Invoke(new()
{
Serial = "string",
});
return new Dictionary<string, object?>
{
["merakiDevicesManagementInterfaceExample"] = example.Apply(getManagementInterfaceResult => getManagementInterfaceResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.devices.DevicesFunctions;
import com.pulumi.meraki.devices.inputs.GetManagementInterfaceArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DevicesFunctions.getManagementInterface(GetManagementInterfaceArgs.builder()
.serial("string")
.build());
ctx.export("merakiDevicesManagementInterfaceExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:devices:getManagementInterface
arguments:
serial: string
outputs:
merakiDevicesManagementInterfaceExample: ${example.item}
Using getManagementInterface
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getManagementInterface(args: GetManagementInterfaceArgs, opts?: InvokeOptions): Promise<GetManagementInterfaceResult>
function getManagementInterfaceOutput(args: GetManagementInterfaceOutputArgs, opts?: InvokeOptions): Output<GetManagementInterfaceResult>def get_management_interface(serial: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetManagementInterfaceResult
def get_management_interface_output(serial: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetManagementInterfaceResult]func LookupManagementInterface(ctx *Context, args *LookupManagementInterfaceArgs, opts ...InvokeOption) (*LookupManagementInterfaceResult, error)
func LookupManagementInterfaceOutput(ctx *Context, args *LookupManagementInterfaceOutputArgs, opts ...InvokeOption) LookupManagementInterfaceResultOutput> Note: This function is named LookupManagementInterface in the Go SDK.
public static class GetManagementInterface
{
public static Task<GetManagementInterfaceResult> InvokeAsync(GetManagementInterfaceArgs args, InvokeOptions? opts = null)
public static Output<GetManagementInterfaceResult> Invoke(GetManagementInterfaceInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetManagementInterfaceResult> getManagementInterface(GetManagementInterfaceArgs args, InvokeOptions options)
public static Output<GetManagementInterfaceResult> getManagementInterface(GetManagementInterfaceArgs args, InvokeOptions options)
fn::invoke:
function: meraki:devices/getManagementInterface:getManagementInterface
arguments:
# arguments dictionaryThe following arguments are supported:
- Serial string
- serial path parameter.
- Serial string
- serial path parameter.
- serial String
- serial path parameter.
- serial string
- serial path parameter.
- serial str
- serial path parameter.
- serial String
- serial path parameter.
getManagementInterface Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Management Interface Item - Serial string
- serial path parameter.
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Management Interface Item - Serial string
- serial path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Management Interface Item - serial String
- serial path parameter.
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Management Interface Item - serial string
- serial path parameter.
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Management Interface Item - serial str
- serial path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- serial String
- serial path parameter.
Supporting Types
GetManagementInterfaceItem
- Ddns
Hostnames GetManagement Interface Item Ddns Hostnames - Dynamic DNS hostnames.
- Wan1
Get
Management Interface Item Wan1 - WAN 1 settings
- Wan2
Get
Management Interface Item Wan2 - WAN 2 settings (only for MX devices)
- Ddns
Hostnames GetManagement Interface Item Ddns Hostnames - Dynamic DNS hostnames.
- Wan1
Get
Management Interface Item Wan1 - WAN 1 settings
- Wan2
Get
Management Interface Item Wan2 - WAN 2 settings (only for MX devices)
- ddns
Hostnames GetManagement Interface Item Ddns Hostnames - Dynamic DNS hostnames.
- wan1
Get
Management Interface Item Wan1 - WAN 1 settings
- wan2
Get
Management Interface Item Wan2 - WAN 2 settings (only for MX devices)
- ddns
Hostnames GetManagement Interface Item Ddns Hostnames - Dynamic DNS hostnames.
- wan1
Get
Management Interface Item Wan1 - WAN 1 settings
- wan2
Get
Management Interface Item Wan2 - WAN 2 settings (only for MX devices)
- ddns_
hostnames GetManagement Interface Item Ddns Hostnames - Dynamic DNS hostnames.
- wan1
Get
Management Interface Item Wan1 - WAN 1 settings
- wan2
Get
Management Interface Item Wan2 - WAN 2 settings (only for MX devices)
- ddns
Hostnames Property Map - Dynamic DNS hostnames.
- wan1 Property Map
- WAN 1 settings
- wan2 Property Map
- WAN 2 settings (only for MX devices)
GetManagementInterfaceItemDdnsHostnames
- Active
Ddns stringHostname - Active dynamic DNS hostname.
- Ddns
Hostname stringWan1 - WAN 1 dynamic DNS hostname.
- Ddns
Hostname stringWan2 - WAN 2 dynamic DNS hostname.
- Active
Ddns stringHostname - Active dynamic DNS hostname.
- Ddns
Hostname stringWan1 - WAN 1 dynamic DNS hostname.
- Ddns
Hostname stringWan2 - WAN 2 dynamic DNS hostname.
- active
Ddns StringHostname - Active dynamic DNS hostname.
- ddns
Hostname StringWan1 - WAN 1 dynamic DNS hostname.
- ddns
Hostname StringWan2 - WAN 2 dynamic DNS hostname.
- active
Ddns stringHostname - Active dynamic DNS hostname.
- ddns
Hostname stringWan1 - WAN 1 dynamic DNS hostname.
- ddns
Hostname stringWan2 - WAN 2 dynamic DNS hostname.
- active_
ddns_ strhostname - Active dynamic DNS hostname.
- ddns_
hostname_ strwan1 - WAN 1 dynamic DNS hostname.
- ddns_
hostname_ strwan2 - WAN 2 dynamic DNS hostname.
- active
Ddns StringHostname - Active dynamic DNS hostname.
- ddns
Hostname StringWan1 - WAN 1 dynamic DNS hostname.
- ddns
Hostname StringWan2 - WAN 2 dynamic DNS hostname.
GetManagementInterfaceItemWan1
- Static
Dns List<string> - Up to two DNS IPs.
- Static
Gateway stringIp - The IP of the gateway on the WAN.
- Static
Ip string - The IP the device should use on the WAN.
- Static
Subnet stringMask - The subnet mask for the WAN.
- Using
Static boolIp - Configure the interface to have static IP settings or use DHCP.
- Vlan int
- The VLAN that management traffic should be tagged with. Applies whether usingStaticIp is true or false.
- Wan
Enabled string - Enable or disable the interface (only for MX devices). Valid values are 'enabled', 'disabled', and 'not configured'.
- Static
Dns []string - Up to two DNS IPs.
- Static
Gateway stringIp - The IP of the gateway on the WAN.
- Static
Ip string - The IP the device should use on the WAN.
- Static
Subnet stringMask - The subnet mask for the WAN.
- Using
Static boolIp - Configure the interface to have static IP settings or use DHCP.
- Vlan int
- The VLAN that management traffic should be tagged with. Applies whether usingStaticIp is true or false.
- Wan
Enabled string - Enable or disable the interface (only for MX devices). Valid values are 'enabled', 'disabled', and 'not configured'.
- static
Dns List<String> - Up to two DNS IPs.
- static
Gateway StringIp - The IP of the gateway on the WAN.
- static
Ip String - The IP the device should use on the WAN.
- static
Subnet StringMask - The subnet mask for the WAN.
- using
Static BooleanIp - Configure the interface to have static IP settings or use DHCP.
- vlan Integer
- The VLAN that management traffic should be tagged with. Applies whether usingStaticIp is true or false.
- wan
Enabled String - Enable or disable the interface (only for MX devices). Valid values are 'enabled', 'disabled', and 'not configured'.
- static
Dns string[] - Up to two DNS IPs.
- static
Gateway stringIp - The IP of the gateway on the WAN.
- static
Ip string - The IP the device should use on the WAN.
- static
Subnet stringMask - The subnet mask for the WAN.
- using
Static booleanIp - Configure the interface to have static IP settings or use DHCP.
- vlan number
- The VLAN that management traffic should be tagged with. Applies whether usingStaticIp is true or false.
- wan
Enabled string - Enable or disable the interface (only for MX devices). Valid values are 'enabled', 'disabled', and 'not configured'.
- static_
dns Sequence[str] - Up to two DNS IPs.
- static_
gateway_ strip - The IP of the gateway on the WAN.
- static_
ip str - The IP the device should use on the WAN.
- static_
subnet_ strmask - The subnet mask for the WAN.
- using_
static_ boolip - Configure the interface to have static IP settings or use DHCP.
- vlan int
- The VLAN that management traffic should be tagged with. Applies whether usingStaticIp is true or false.
- wan_
enabled str - Enable or disable the interface (only for MX devices). Valid values are 'enabled', 'disabled', and 'not configured'.
- static
Dns List<String> - Up to two DNS IPs.
- static
Gateway StringIp - The IP of the gateway on the WAN.
- static
Ip String - The IP the device should use on the WAN.
- static
Subnet StringMask - The subnet mask for the WAN.
- using
Static BooleanIp - Configure the interface to have static IP settings or use DHCP.
- vlan Number
- The VLAN that management traffic should be tagged with. Applies whether usingStaticIp is true or false.
- wan
Enabled String - Enable or disable the interface (only for MX devices). Valid values are 'enabled', 'disabled', and 'not configured'.
GetManagementInterfaceItemWan2
- Static
Dns List<string> - Up to two DNS IPs.
- Static
Gateway stringIp - The IP of the gateway on the WAN.
- Static
Ip string - The IP the device should use on the WAN.
- Static
Subnet stringMask - The subnet mask for the WAN.
- Using
Static boolIp - Configure the interface to have static IP settings or use DHCP.
- Vlan int
- The VLAN that management traffic should be tagged with. Applies whether usingStaticIp is true or false.
- Wan
Enabled string - Enable or disable the interface (only for MX devices). Valid values are 'enabled', 'disabled', and 'not configured'.
- Static
Dns []string - Up to two DNS IPs.
- Static
Gateway stringIp - The IP of the gateway on the WAN.
- Static
Ip string - The IP the device should use on the WAN.
- Static
Subnet stringMask - The subnet mask for the WAN.
- Using
Static boolIp - Configure the interface to have static IP settings or use DHCP.
- Vlan int
- The VLAN that management traffic should be tagged with. Applies whether usingStaticIp is true or false.
- Wan
Enabled string - Enable or disable the interface (only for MX devices). Valid values are 'enabled', 'disabled', and 'not configured'.
- static
Dns List<String> - Up to two DNS IPs.
- static
Gateway StringIp - The IP of the gateway on the WAN.
- static
Ip String - The IP the device should use on the WAN.
- static
Subnet StringMask - The subnet mask for the WAN.
- using
Static BooleanIp - Configure the interface to have static IP settings or use DHCP.
- vlan Integer
- The VLAN that management traffic should be tagged with. Applies whether usingStaticIp is true or false.
- wan
Enabled String - Enable or disable the interface (only for MX devices). Valid values are 'enabled', 'disabled', and 'not configured'.
- static
Dns string[] - Up to two DNS IPs.
- static
Gateway stringIp - The IP of the gateway on the WAN.
- static
Ip string - The IP the device should use on the WAN.
- static
Subnet stringMask - The subnet mask for the WAN.
- using
Static booleanIp - Configure the interface to have static IP settings or use DHCP.
- vlan number
- The VLAN that management traffic should be tagged with. Applies whether usingStaticIp is true or false.
- wan
Enabled string - Enable or disable the interface (only for MX devices). Valid values are 'enabled', 'disabled', and 'not configured'.
- static_
dns Sequence[str] - Up to two DNS IPs.
- static_
gateway_ strip - The IP of the gateway on the WAN.
- static_
ip str - The IP the device should use on the WAN.
- static_
subnet_ strmask - The subnet mask for the WAN.
- using_
static_ boolip - Configure the interface to have static IP settings or use DHCP.
- vlan int
- The VLAN that management traffic should be tagged with. Applies whether usingStaticIp is true or false.
- wan_
enabled str - Enable or disable the interface (only for MX devices). Valid values are 'enabled', 'disabled', and 'not configured'.
- static
Dns List<String> - Up to two DNS IPs.
- static
Gateway StringIp - The IP of the gateway on the WAN.
- static
Ip String - The IP the device should use on the WAN.
- static
Subnet StringMask - The subnet mask for the WAN.
- using
Static BooleanIp - Configure the interface to have static IP settings or use DHCP.
- vlan Number
- The VLAN that management traffic should be tagged with. Applies whether usingStaticIp is true or false.
- wan
Enabled String - Enable or disable the interface (only for MX devices). Valid values are 'enabled', 'disabled', and 'not configured'.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
